// Common Shaders (-=BOD=- Corporal Punishment)

// River

textures/KT2/TW_River
{
	qer_editorimage textures/KT2/ocean2.tga
	qer_keyword natural
	qer_keyword liquid
	qer_keyword ocean
	qer_trans .4

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water

	//surfaceparm nolightmap
	
	cull none
	// deformvertexes wave 30 sin 0 60 0 .1
	
      	deformvertexes wave 30 sin 0 2 0 0.1
      	
	{
		// map textures/misc_outside/froth.tga
		map textures/KT2/froth.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod scroll 0.15 -0.15
	}
	{
		map textures/KT2/ocean2.tga
		// map textures/misc_outside/ocean2.tga
		blendFunc blend
		tcMod scroll 0.1 -0.1
		tcMod scale 4 1
		tcMod scale .25 1
		nextbundle
		
		map textures/KT2/ocean2.tga
		// map textures/misc_outside/ocean2.tga
		tcMod scale .55 .55
		tcMod scroll 0.08 -0.08
	}
	
	{
		map $lightmap
		rgbGen Identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ** Table Items

textures/KT2/TablePlans
{
	qer_editorimage textures/KT2/TablePlans.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/TablePlans.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/KT2/TablePhoto
{
	qer_editorimage textures/KT2/TablePhoto.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/TablePhoto.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


// ** -=BOD=- Members

textures/KT2/BOD_CP
{
	qer_editorimage textures/KT2/BOD_CP.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/BOD_CP.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/KT2/BOD_KJ
{
	qer_editorimage textures/KT2/BOD_KJ.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/BOD_KJ.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/KT2/BOD_MB
{
	qer_editorimage textures/KT2/BOD_MB.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/BOD_MB.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


// ** Posters

textures/KT2/Warning
{
	qer_editorimage textures/KT2/Warning.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/Warning.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/KT2/WarBonds
{
	qer_editorimage textures/KT2/WarBonds.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/WarBonds.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



KT2_panzerschreck
{
	qer_editorimage textures/models/weapons/panzerschreck/pschreck.tga
	cull none
	{
		map textures/models/weapons/panzerschreck/pschreck.tga
		rgbGen lightingSpherical
		alphaFunc ge128
		depthWrite
	}
}


// ** Paintings

textures/KT2/PaintingTank1
{
	qer_editorimage textures/KT2/TankPainting1.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/TankPainting1.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/KT2/PaintingTank2
{
	qer_editorimage textures/KT2/TankPainting2.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/TankPainting2.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/KT2/PaintingTank3
{
	qer_editorimage textures/KT2/TankPainting3.tga
	qer_keyword signs
	
	surfaceparm paper
	{
		map textures/KT2/TankPainting3.tga
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/KT2/heavydoor
{
	qer_keyword rusted
	qer_keyword metal
	surfaceParm metal
	{
		map textures/KT2/heavydoor.tga
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
} 